<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>Uses of Class import hk.quantr.mxgraph.layout.mxCompactTreeLayout.TreeNode (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class import hk.quantr.mxgraph.layout.mxCompactTreeLayout.TreeNode (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../mxCompactTreeLayout.TreeNode.html" title="class in import hk.quantr.mxgraph.layout">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h2 title="Uses of Class import hk.quantr.mxgraph.layout.mxCompactTreeLayout.TreeNode" class="title">Uses of Class<br>import hk.quantr.mxgraph.layout.mxCompactTreeLayout.TreeNode</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary">
<caption><span>Packages that use <a href="../mxCompactTreeLayout.TreeNode.html" title="class in import hk.quantr.mxgraph.layout">mxCompactTreeLayout.TreeNode</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#import hk.quantr.mxgraph.layout">import hk.quantr.mxgraph.layout</a></th>
<td class="colLast">
<div class="block">This package contains various graph layouts.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList">
<section role="region"><a id="import hk.quantr.mxgraph.layout">
<!--   -->
</a>
<h3>Uses of <a href="../mxCompactTreeLayout.TreeNode.html" title="class in import hk.quantr.mxgraph.layout">mxCompactTreeLayout.TreeNode</a> in <a href="../package-summary.html">import hk.quantr.mxgraph.layout</a></h3>
<table class="useSummary">
<caption><span>Fields in <a href="../package-summary.html">import hk.quantr.mxgraph.layout</a> declared as <a href="../mxCompactTreeLayout.TreeNode.html" title="class in import hk.quantr.mxgraph.layout">mxCompactTreeLayout.TreeNode</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../mxCompactTreeLayout.TreeNode.html" title="class in import hk.quantr.mxgraph.layout">mxCompactTreeLayout.TreeNode</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxCompactTreeLayout.WeightedCellSorter.</span><code><span class="memberNameLink"><a href="../mxCompactTreeLayout.WeightedCellSorter.html#cell">cell</a></span></code></th>
<td class="colLast">
<div class="block">The cell whose median value is being calculated</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../mxCompactTreeLayout.TreeNode.html" title="class in import hk.quantr.mxgraph.layout">mxCompactTreeLayout.TreeNode</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxCompactTreeLayout.TreeNode.</span><code><span class="memberNameLink"><a href="../mxCompactTreeLayout.TreeNode.html#child">child</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../mxCompactTreeLayout.TreeNode.html" title="class in import hk.quantr.mxgraph.layout">mxCompactTreeLayout.TreeNode</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxCompactTreeLayout.TreeNode.</span><code><span class="memberNameLink"><a href="../mxCompactTreeLayout.TreeNode.html#next">next</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../package-summary.html">import hk.quantr.mxgraph.layout</a> that return <a href="../mxCompactTreeLayout.TreeNode.html" title="class in import hk.quantr.mxgraph.layout">mxCompactTreeLayout.TreeNode</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../mxCompactTreeLayout.TreeNode.html" title="class in import hk.quantr.mxgraph.layout">mxCompactTreeLayout.TreeNode</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxCompactTreeLayout.</span><code><span class="memberNameLink"><a href="../mxCompactTreeLayout.html#createNode(java.lang.Object)">createNode</a></span>&#8203;(java.lang.Object&nbsp;cell)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../mxCompactTreeLayout.TreeNode.html" title="class in import hk.quantr.mxgraph.layout">mxCompactTreeLayout.TreeNode</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxCompactTreeLayout.</span><code><span class="memberNameLink"><a href="../mxCompactTreeLayout.html#dfs(java.lang.Object,java.lang.Object,java.util.Set)">dfs</a></span>&#8203;(java.lang.Object&nbsp;cell,
   java.lang.Object&nbsp;parent,
   java.util.Set&lt;java.lang.Object&gt;&nbsp;visited)</code></th>
<td class="colLast">
<div class="block">Does a depth first search starting at the specified cell.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../package-summary.html">import hk.quantr.mxgraph.layout</a> with parameters of type <a href="../mxCompactTreeLayout.TreeNode.html" title="class in import hk.quantr.mxgraph.layout">mxCompactTreeLayout.TreeNode</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../util/mxRectangle.html" title="class in import hk.quantr.mxgraph.util">mxRectangle</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxCompactTreeLayout.</span><code><span class="memberNameLink"><a href="../mxCompactTreeLayout.html#apply(import hk.quantr.mxgraph.layout.mxCompactTreeLayout.TreeNode,import hk.quantr.mxgraph.util.mxRectangle)">apply</a></span>&#8203;(<a href="../mxCompactTreeLayout.TreeNode.html" title="class in import hk.quantr.mxgraph.layout">mxCompactTreeLayout.TreeNode</a>&nbsp;node,
     <a href="../../util/mxRectangle.html" title="class in import hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;bounds)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxCompactTreeLayout.</span><code><span class="memberNameLink"><a href="../mxCompactTreeLayout.html#attachParent(import hk.quantr.mxgraph.layout.mxCompactTreeLayout.TreeNode,double)">attachParent</a></span>&#8203;(<a href="../mxCompactTreeLayout.TreeNode.html" title="class in import hk.quantr.mxgraph.layout">mxCompactTreeLayout.TreeNode</a>&nbsp;node,
            double&nbsp;height)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../util/mxRectangle.html" title="class in import hk.quantr.mxgraph.util">mxRectangle</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxCompactTreeLayout.</span><code><span class="memberNameLink"><a href="../mxCompactTreeLayout.html#horizontalLayout(import hk.quantr.mxgraph.layout.mxCompactTreeLayout.TreeNode,double,double,import hk.quantr.mxgraph.util.mxRectangle)">horizontalLayout</a></span>&#8203;(<a href="../mxCompactTreeLayout.TreeNode.html" title="class in import hk.quantr.mxgraph.layout">mxCompactTreeLayout.TreeNode</a>&nbsp;node,
                double&nbsp;x0,
                double&nbsp;y0,
                <a href="../../util/mxRectangle.html" title="class in import hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;bounds)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected double</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxCompactTreeLayout.</span><code><span class="memberNameLink"><a href="../mxCompactTreeLayout.html#join(import hk.quantr.mxgraph.layout.mxCompactTreeLayout.TreeNode)">join</a></span>&#8203;(<a href="../mxCompactTreeLayout.TreeNode.html" title="class in import hk.quantr.mxgraph.layout">mxCompactTreeLayout.TreeNode</a>&nbsp;node)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxCompactTreeLayout.</span><code><span class="memberNameLink"><a href="../mxCompactTreeLayout.html#layout(import hk.quantr.mxgraph.layout.mxCompactTreeLayout.TreeNode)">layout</a></span>&#8203;(<a href="../mxCompactTreeLayout.TreeNode.html" title="class in import hk.quantr.mxgraph.layout">mxCompactTreeLayout.TreeNode</a>&nbsp;node)</code></th>
<td class="colLast">
<div class="block">Starts the actual compact tree layout algorithm
 at the given node.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxCompactTreeLayout.</span><code><span class="memberNameLink"><a href="../mxCompactTreeLayout.html#layoutLeaf(import hk.quantr.mxgraph.layout.mxCompactTreeLayout.TreeNode)">layoutLeaf</a></span>&#8203;(<a href="../mxCompactTreeLayout.TreeNode.html" title="class in import hk.quantr.mxgraph.layout">mxCompactTreeLayout.TreeNode</a>&nbsp;node)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxCompactTreeLayout.</span><code><span class="memberNameLink"><a href="../mxCompactTreeLayout.html#localEdgeProcessing(import hk.quantr.mxgraph.layout.mxCompactTreeLayout.TreeNode)">localEdgeProcessing</a></span>&#8203;(<a href="../mxCompactTreeLayout.TreeNode.html" title="class in import hk.quantr.mxgraph.layout">mxCompactTreeLayout.TreeNode</a>&nbsp;node)</code></th>
<td class="colLast">
<div class="block">Moves the specified node and all of its children by the given amount.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxCompactTreeLayout.</span><code><span class="memberNameLink"><a href="../mxCompactTreeLayout.html#moveNode(import hk.quantr.mxgraph.layout.mxCompactTreeLayout.TreeNode,double,double)">moveNode</a></span>&#8203;(<a href="../mxCompactTreeLayout.TreeNode.html" title="class in import hk.quantr.mxgraph.layout">mxCompactTreeLayout.TreeNode</a>&nbsp;node,
        double&nbsp;dx,
        double&nbsp;dy)</code></th>
<td class="colLast">
<div class="block">Moves the specified node and all of its children by the given amount.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxCompactTreeLayout.</span><code><span class="memberNameLink"><a href="../mxCompactTreeLayout.html#processNodeOutgoing(import hk.quantr.mxgraph.layout.mxCompactTreeLayout.TreeNode)">processNodeOutgoing</a></span>&#8203;(<a href="../mxCompactTreeLayout.TreeNode.html" title="class in import hk.quantr.mxgraph.layout">mxCompactTreeLayout.TreeNode</a>&nbsp;node)</code></th>
<td class="colLast">
<div class="block">Separates the x position of edges as they connect to vertices</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../util/mxRectangle.html" title="class in import hk.quantr.mxgraph.util">mxRectangle</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxCompactTreeLayout.</span><code><span class="memberNameLink"><a href="../mxCompactTreeLayout.html#verticalLayout(import hk.quantr.mxgraph.layout.mxCompactTreeLayout.TreeNode,java.lang.Object,double,double,import hk.quantr.mxgraph.util.mxRectangle)">verticalLayout</a></span>&#8203;(<a href="../mxCompactTreeLayout.TreeNode.html" title="class in import hk.quantr.mxgraph.layout">mxCompactTreeLayout.TreeNode</a>&nbsp;node,
              java.lang.Object&nbsp;parent,
              double&nbsp;x0,
              double&nbsp;y0,
              <a href="../../util/mxRectangle.html" title="class in import hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;bounds)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Constructors in <a href="../package-summary.html">import hk.quantr.mxgraph.layout</a> with parameters of type <a href="../mxCompactTreeLayout.TreeNode.html" title="class in import hk.quantr.mxgraph.layout">mxCompactTreeLayout.TreeNode</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../mxCompactTreeLayout.WeightedCellSorter.html#%3Cinit%3E(import hk.quantr.mxgraph.layout.mxCompactTreeLayout.TreeNode,int)">WeightedCellSorter</a></span>&#8203;(<a href="../mxCompactTreeLayout.TreeNode.html" title="class in import hk.quantr.mxgraph.layout">mxCompactTreeLayout.TreeNode</a>&nbsp;cell,
                  int&nbsp;weightedValue)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</section>
</li>
</ul>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../mxCompactTreeLayout.TreeNode.html" title="class in import hk.quantr.mxgraph.layout">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
